#!/bin/sh
#-----------------------------------------------------------------
# topology:
# 
# 20000     30000                             30002       20002
# PC1 - s0/0 -*                                  *- s0/0 - PC3
#             |              2000                |
#       2001 R1 - s1/0:s0/0 - R0 - s0/1:s1/0 - R2 2002
#             |   21000  21001    21002  21003   |
# PC2 - s0/1 -*                                  *- s0/1 - PC4
# 20001      30001                            30003       20003
#
#-----------------------------------------------------------------
C=`pwd`/dynamips
B1=`pwd`/c2600-ik8s-mz.122-11.T.bin.unzip
B2=`pwd`/c2600-i-mz.113-3a.T1.bin.unzip
mkdir -p r1
cd r1
$C -i R1 -T 2001 -P 2600 -t 2611 -X --sparse-mem -r 56 -c 0x2102 \
  --idle-pc=0x8043c5d0 -p 1:NM-1E \
  -s 0:0:udp:30000:127.0.0.1:20000 \
  -s 0:1:udp:30001:127.0.0.1:20001 \
  -s 1:0:udp:21000:127.0.0.1:21001 \
  $B1 &
cd -

mkdir -p r2
cd r2
$C -i R2 -T 2002 -P 2600 -t 2611 -X --sparse-mem -r 56 -c 0x2102 \
  --idle-pc=0x8043c5d0 -p 1:NM-1E \
  -s 0:0:udp:30002:127.0.0.1:20002 \
  -s 0:1:udp:30003:127.0.0.1:20003 \
  -s 1:0:udp:21003:127.0.0.1:21002 \
  $B1 &
cd -
mkdir -p r0
cd r0
$C -i R0  -T 2000 -P 2600 -t 2611 -X --sparse-mem -r 12 -c 0x2102 \
  --idle-pc=0x80182f10 \
  -s 0:0:udp:21001:127.0.0.1:21000 \
  -s 0:1:udp:21002:127.0.0.1:21003 \
  $B2 &

#-----------------------------------------------------------------
#
# the configuration of routers
#
# R0
#-------------------------------------
# conf t
# interface Ethernet0/0
#  ip address 172.16.1.2 255.255.255.0
#  no shut
# interface Ethernet0/1
#  ip address 172.16.2.2 255.255.255.0
#  no shut
# exit
# router rip
#  version 2
#  no auto-summary
#  network 172.16.1.0
#  network 172.16.2.0
# hostname R0
# exit
# wr
# sh run
#-------------------------------------
# R1
#-------------------------------------
# conf t
# interface Ethernet0/0
#  ip address 192.168.1.1 255.255.255.0
#  no shut
# interface Ethernet0/1
#  ip address 192.168.2.1 255.255.255.0
#  no shut
# interface Ethernet1/0
#  ip address 172.16.1.1 255.255.255.0
#  no shut
# router rip
#  version 2
#  no auto-summary
#  network 172.16.1.0
#  network 192.168.1.0
#  network 192.168.2.0
#  hostname R1
#  exit
#  wr
#  sh run
#-------------------------------------
# R2
#-------------------------------------
# conf t
# interface Ethernet0/0
#  ip address 192.168.11.1 255.255.255.0
#  no shut
# interface Ethernet0/1
#  ip address 192.168.12.1 255.255.255.0
#  no shut
# interface Ethernet1/0
#  ip address 172.16.2.1 255.255.255.0
#  no shut
# router rip
#  version 2
#  no auto-summary
#  network 172.16.2.0
#  network 192.168.11.0
#  network 192.168.12.0
#  hostname R2
#  exit
#  wr
#  sh run
